# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl


%define name    kpdftool
%define version 0.2
%define release 1.2006mcnl
%define summary GUI for ghostscript and ImageMagick
%define section Office/Other

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.kde-apps.org/content/show.php?content=33194
License:        GPL
Group:          File tools
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        33194-%{name}-%{version}.zip
Source1: 	kpdftools.png

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:  libqt3-devel libkdebase4-devel
Requires:	ImageMagick ghostscript


%description
KPDFTool is a GUI interface for ghostscript and ImageMagick
for performing basic and usefull operations with PDF and
PS (PostScript) files.

Basically it can merge, split and protect the text of
such files into new ones in a simple and practical way.

icon from:
Antti Prnnen


%prep
rm -rf %{buildroot}
%setup -q

%build
 
qmake

make

%install
rm -rf %{buildroot}

mkdir -p -m755 %{buildroot}%{_bindir}
%__cp %{name} %{buildroot}%{_bindir}

%define  nameicon %{SOURCE1}
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README
%{_bindir}/%{name}
%{_menudir}/%{name}

%{_iconsdir}/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png


%changelog 
*Wed Jan 4 2006 Marco Meijer <marco@mandrivaclub.nl> 0.2-1.2006mcnl
first version for mandrivaclub.nl


